SoExtSelection.h(3)

NAME
SoExtSelection.h

SYNOPSIS

#include <Inventor/nodes/SoSubNode.h>
#include <Inventor/nodes/SoSelection.h>
#include <Inventor/fields/SoSFEnum.h>
#include <cstddef>
#include <Inventor/actions/SoCallbackAction.h>

  Classes
class SoExtSelection
The SoExtSelection class can be used for extended selection functionality.

  Typedefs
typedef SbBool SoExtSelectionTriangleCB(void *userdata, SoCallbackAction *action, const SoPrimitiveVertex *v1, const SoPrimitiveVertex *v2, const SoPrimitiveVertex *v3)
typedef SbBool SoExtSelectionLineSegmentCB(void *userdata, SoCallbackAction *action, const SoPrimitiveVertex *v1, const SoPrimitiveVertex *v2)
typedef SbBool SoExtSelectionPointCB(void *userdata, SoCallbackAction *action, const SoPrimitiveVertex *v1)
typedef SoPath * SoLassoSelectionFilterCB(void *userdata, const SoPath *path)

Author

Generated automatically by Doxygen for Coin from the source code.